import '@/app/globals.css';
import type { Metadata } from 'next';
import { Inter } from 'next/font/google';
import HomeHeader from './_components/HomeHeader';
import { Providers } from '@/lib/provider';

const inter = Inter({ subsets: ['latin'] });

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
};

export default function RootLayout({ children }: { children: React.ReactNode }) {
  return (
    <Providers>
      <html lang='en'>
        <body className={inter.className}>
          <HomeHeader />
          <main className='px-5'>{children}</main>
        </body>
      </html>
    </Providers>
  );
}
